YPMATCH(1)

NAME
ypmatch - print the value of one or more keys from a network information service (NIS) map

SYNOPSIS
ypmatch [ -d domain ] [ -k ] [ -t ] key ... mname
ypmatch -x

DESCRIPTION

ypmatch prints the values associated with one or more keys from the network information service (NIS) map specified by a mname, which may be either a mapname or an map nickname.

Multiple keys can be specified; the same map will be searched for all . The keys must be exact values insofar as capitalization and length are concerned. No pattern matching is available. If a key is not matched, a diagnostic message is produced.

OPTIONS

-d  Specify a domain other that the default domain.

-k  Before printing the value of a key, print the key itself, followed by a colon (':'). This is useful only if the keys are not duplicated in the values, or you've specified so many keys that the output could be confusing.

-t  Inhibit translation of nickname to mapname. For example, ypmatch -t zippy passwd will fail because there is no map named passwd, while ypmatch zippy passwd will be translated to ypmatch zippy passwd.byname .

-x  Display the map nickname table. This lists the nicknames (mnames) the command knows of, and indicates the mapname associated with each nickname.

SEE ALSO
ypfiles(5), ypcat(1)